Skip to main content
DELETE
/
v1
/
salesOrders
/
{salesOrderId}
/
lineitems
/
{salesOrderLineItemId}
Delete Sales Order Line Item
curl --request DELETE \
  --url https://api.jtl-cloud.com/erp/v1/salesOrders/{salesOrderId}/lineitems/{salesOrderLineItemId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "ErrorCode": "<string>",
  "ValidationErrors": {},
  "Errors": {},
  "ErrorMessage": "<string>",
  "Stacktrace": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

salesOrderId
integer<int32>
required

The id of the sales order that the line items belong to.

salesOrderLineItemId
integer<int32>
required

The id of the line item that the belongs to the sales order.

Response